LibreOffice: XIsolatedConnection Interface Reference

LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XIsolatedConnection Interface Referencepublished

is used for establishing isolated connections via a factory. More...

`import <XIsolatedConnection.idl;`

Inheritance diagram for XIsolatedConnection:

## Public Member Functions
XConnection | getIsolatedConnectionWithCompletion ([in]com::sun::star::task::XInteractionHandler handler) raises (SQLException)
| attempts to establish a database connection.
XConnection | getIsolatedConnection ([in]string user, [in]string password) raises (SQLException)
| attempts to establish a database connection.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

is used for establishing isolated connections via a factory.

The XIsolatedConnection allows to create connections which are not shared among others as it is the case when creating connections in normal way.

See also
  com::sun::star::sdb::DataSource

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ getIsolatedConnection()

XConnection getIsolatedConnection | ( | [in] string | user,
|  | [in] string | password )
raises | ( | SQLException ) |  |  |

attempts to establish a database connection.

Parameters

  user | The user name.
  password | The password.

Returns
  A connection which is not shared.

Exceptions

  com::sun::star::sdbc::SQLException | when an error occurs.

## ◆ getIsolatedConnectionWithCompletion()

XConnection getIsolatedConnectionWithCompletion | ( | [in] com::sun::star::task::XInteractionHandler | handler | ) |
raises | ( | SQLException ) |  |  |

attempts to establish a database connection.

If information is missing, such as a user's password, they are completed by user interaction.

Parameters

  handler | The handler which ask for the needed information when they are missing.

Returns
  A connection which is not shared.

Exceptions

  com::sun::star::sdbc::SQLException | when an error occurs.

The documentation for this interface was generated from the following file:

- com/sun/star/sdbc/XIsolatedConnection.idl